CVE-2023-40569

CVSS 3.1 Score 6.5 of 10 (medium)

Details

Published Aug 31, 2023
Updated: Jan 12, 2024
CWE ID 787

Summary

CVE-2023-40569 is a vulnerability in FreeRDP, a free implementation of the Remote Desktop Protocol (RDP). The vulnerability is related to an Out-Of-Bounds Write issue in the `progressive_decompress` function, caused by incorrect calculations of the `nXSrc` and `nYSrc` variables. This vulnerability affects versions prior to 2.11.0 and 3.0.0-beta3 of FreeRDP. The recommended remediation is to upgrade to the patched versions mentioned above. There are no known workarounds for this vulnerability. The potential danger posed by this vulnerability is rated as MEDIUM severity, with a base score of 6.5 according to CVSS:3.1 standards. It has a low integrity impact and no confidentiality impact, but it could be exploited remotely over a network without requiring any privileges or user interaction, potentially causing availability issues for affected organizations.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2023-40569 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options